package ink.wgink.module.activiti.pojo.dtos.oa;

import io.swagger.annotations.ApiModel;

import java.io.Serializable;

/**
 * @ClassName: OaOnFilePO
 * @Description: 归档
 * @Author: wanggeng
 * @Date: 2022/5/13 09:51
 * @Version: 1.0
 */
@ApiModel
public class OaOnFileDTO implements Serializable {

    private static final long serialVersionUID = 8758404155432312142L;
    private String onFileId;
    private String formCode;
    private Integer formVersion;
    private String processInstanceId;
    private String reportUid;
    private String mainTitle;
    private String processDefinitionName;
    private String processStartTime;
    private String processEndTime;

    public String getOnFileId() {
        return onFileId == null ? "" : onFileId.trim();
    }

    public void setOnFileId(String onFileId) {
        this.onFileId = onFileId;
    }

    public String getFormCode() {
        return formCode == null ? "" : formCode.trim();
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public Integer getFormVersion() {
        return formVersion == null ? 0 : formVersion;
    }

    public void setFormVersion(Integer formVersion) {
        this.formVersion = formVersion;
    }

    public String getProcessInstanceId() {
        return processInstanceId == null ? "" : processInstanceId.trim();
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public String getReportUid() {
        return reportUid == null ? "" : reportUid.trim();
    }

    public void setReportUid(String reportUid) {
        this.reportUid = reportUid;
    }

    public String getMainTitle() {
        return mainTitle == null ? "" : mainTitle.trim();
    }

    public void setMainTitle(String mainTitle) {
        this.mainTitle = mainTitle;
    }

    public String getProcessDefinitionName() {
        return processDefinitionName == null ? "" : processDefinitionName.trim();
    }

    public void setProcessDefinitionName(String processDefinitionName) {
        this.processDefinitionName = processDefinitionName;
    }

    public String getProcessStartTime() {
        return processStartTime == null ? "" : processStartTime.trim();
    }

    public void setProcessStartTime(String processStartTime) {
        this.processStartTime = processStartTime;
    }

    public String getProcessEndTime() {
        return processEndTime == null ? "" : processEndTime.trim();
    }

    public void setProcessEndTime(String processEndTime) {
        this.processEndTime = processEndTime;
    }
}
